html {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    height:100%;
    width: 100%;
    justify-content: center;
    align-items: center;
    background-image: linear-gradient(to bottom, #990C68, #5e24bc);
    margin: 0;
    font-family: 'helvetica neue','arial','sans-serif';
}

footer {
    display: flex;
    flex-direction: column;
    align-items: center;
}

main {
    height: 80%;
    width: 94%; 
    text-align: center;
    display: flex; 
    justify-content: center;
    align-items: center;
}

.main-section-box {
    padding:0.5em;
    border-radius: 0.3em;
    height: 70%;
    width: 35%;
    border-style: solid;
    display:flex;
}
.box {
    padding: 0.5em;
    border-radius: 0.3em;
    height: 70%;
    border-style: solid;
    display:flex;
}

.blurb {
    margin-top: 0.75vh;
    font-size: large;
}

#individual-section {
    /* background-color: #7854d2; */
    /* background-color: #8162d6; */
    background-color: #9d86dd;
    padding-left: 0.2em;
    padding-right: 0.2em;
    border-color: #4e1bcf;
   
    /* height: 50%; */
    flex-direction:column;
    position: relative;
    align-items: center;
}

#deck-section {
    /* background-color: #92375e; */
    /* background-color: #c04a7c; */
    background-color: #c7799a;
    border-color: #730736;
    /* max-height: 70%; */
    flex-direction: column;

    #import-submit {
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}

#deck-overflow {
    display: none;
    overflow-y: auto;
    width: 100%;
    max-height: 37vh;
}

#search-area{
    display: flex;
    /*background-color: black;*/
    /*color:red;*/
    font-size: 100%;
    width: 95%;
    font-family: 'helvetica neue','arial','sans-serif';
    justify-content: center;
}

#other-features{
    display: none;
}

#drop-down-fs {
    background-color: rgb(0, 0, 0);
    border-radius: 0.2em;
    width: 100%;
    > tbody {
        background-color: aliceblue;
        /* border: 1em;
        border-color: black; */
        padding: 0;

        > tr {
            cursor: default;
            height: 2em;
            >td {
                padding-right: 0.3em;
                padding-left: 0.3em;
            }

            &.banned {
                background-color: rgb(215 71 71);
            }
            
            &.limited {
                background-color: darkorange;
            }
            
            &.semi-limited {
                background-color: khaki;
            }
    
            &.unlimited {
                background-color: rgb(95, 173, 95);
            }
            
            &.unobtainable {
                background-color: rgb(113, 228, 228);
            }
            
            &.unreleased {
                background-color: rgb(74 131 255);
            }
        }
    }
}

#deck-table {
    background-color: black;
    border-radius: 0.2em;
    width:100%;

    th {
        width: 50%;
        background-color: rgb(169, 176, 183);
    }
    tr {
        background-color: aliceblue;

        &.banned {
            background-color: rgb(215 71 71);
        }
        
        &.limited {
            background-color: darkorange;
        }
        
        &.semi-limited {
            background-color: khaki;
        }

        &.unlimited {
            background-color: rgb(95, 173, 95);
        }
        
        &.unobtainable {
            background-color: rgb(113, 228, 228);
        }
        
        &.unreleased {
            background-color: rgb(74 131 255);
        }
    } 
}

.highlighted {
    background-color: rgb(193, 193, 193);
    > td {
        font-weight: bold;
    }
}

#search-area {
    flex-direction: column;
}

#indv-overflow {
   overflow-y: auto;
   max-height: 31vh;
   width: 100%;
   align-self: center;
   display: none;
   z-index: 9999;
}

#card-status-display {
    visibility: hidden;
    /* margin: 1.5em;
    margin-top: 0; */
    margin: auto;
    font-weight: bold;
    font-size: large;
    /* position: absolute; */
    text-align: center;
    /* top: 44vh; */
}

figcaption {
    text-align: center;
}
#brain-caption {
    font-family:'Goudy Old Style', Garamond, 'Big Caslon', 'Times New Roman', serif;
    color: #D0D0D0;
    font-size: large;
    font-style: italic;
}

textarea {
    height: 35px;
    /* min-width: 150px;
    max-width: 200px; */
    resize: none;
}

#import-option-area {
    display: flex;
    flex-direction: column;
}

#import-toggle {
    display: flex;
    flex-direction: row;
    margin: 0.5em;
    justify-content: center;

    .import-toggle-side {
        background-color: rgb(132 108 114);
    }

    #import-toggle-left {
        opacity: 1;
    }
    #import-toggle-right {
        opacity: 0.75;
    }

    > div {
        padding:  0.15em;
        width: 5.5em;
        text-align: center;
        border: solid black .1em;
        border-radius: .2em 0 0 .2em;

        + div {
            border-radius: 0 .2em .2em 0;
            border-left: 0;
        }
    }
    
    > div:hover {
        cursor: default;
    }
}

#deck-display {
    align-items: center;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

#md-section {
    display: none;
    flex-direction: column;
}

#md-help {
    display: none;
    flex-direction: column;
    line-height: 1.4em;
    overflow-y: auto;
    /*max-height: 18em;*/
    height: 100%;
    max-height: 35vh;
    border: solid;
    border-color: #6f3973;
    background-color: #c976cf;
    margin-top: 0.5em;

    #help-warning {
        text-align:start;
        margin-bottom:0.25em;
        margin-top: 0.5em;
        margin-left:0.3em;
        width:100%;
    }
    
    #help-steps {
        text-align: start;
        margin-top: 0;
    }
    
    #help-picture {
        text-align: center;
        margin-top: 0;
        margin:1em;
    }
    
    #help-picture img {
        width: 100%;
    }

    li + li {
        margin: 0.2em;
    }
}

#list-select-area {
    background-color: #bd62c4;
    border-color: #b200be;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: relative;

    div + div {
        margin-left: 1.1em
    }
    label {
        margin-right: .1em;
    }
    
    /*select {
        margin-right: .2em;
    } */
}

#download-help {
    display: none;
    position: absolute;
    bottom: 75%;
    right: 0%;
    width: 100%;
    text-align: left;
    padding: .3em;
    z-index: 100;
    background: #bd62c4;
    border: #b200be solid .1em;
    border-radius: .3em;
    white-space: pre-line;
    line-height: 1.4em;

    &.currently-displayed {
        display: inherit;
    }
}

#md-options {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    column-gap: 10px;
}

@media only screen and (max-width: 1000px) and (max-aspect-ratio:2/1){
    main {
        flex-direction: column;
        justify-content: space-around;
        height: 94%;
        width: 100%;
    }
    .main-section-box {
        height: 44%;
        width: 60%;
    }
    #brain-fig > img {
        display: none;
    }
    #import-option-area {
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    #md-help {
        max-height: 22vh;
    }
    #deck-overflow {
        max-height: 26vh;
    }
    #indv-overflow {
        max-height: 27vh;
    }
    /* #card-status-display {
        margin: .5em 0 0 0;
        position: static;
    } */
}

@media only screen and (max-height: 700px) {
    br {
        display: none;
    }

    #brain-fig {
        display: none;
    }
    main {
        height: 90%;
    }
    .main-section-box {
        height: 90%;
        width: 90%;
    }
    #indv-overflow {
        /* max-height: 27vh; */
        max-height: 54vh;
        @media only screen and (max-width: 1000px) and (max-aspect-ratio:2/1) {
            max-height: 27vh;
        }
    }

    /* #deck-overflow {
        max-height: 26vh;
    }
    #md-help {
        max-height: 22vh;
    } */

    /* #card-status-display {
        margin: .5em 0 0 0;
    } */

    #indv-overflow {
        .none-when-small {
            display: none;
        }
    }
}  


